Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class UnmodifiableIterator

    java.lang.Object
      org.apache.commons.collections.iterators.UnmodifiableIterator

All Implemented Interfaces:
  java.util.Iterator, Unmodifiable

    public final class UnmodifiableIterator

extends java.lang.Object
implements java.util.Iterator, Unmodifiable

Decorates an iterator such that it cannot be modified.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`static java.util.Iterator` | `decorate(java.util.Iterator iterator)` Decorates the specified iterator such that it cannot be modified.
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decorate

    public static java.util.Iterator decorate(java.util.Iterator iterator)

  Decorates the specified iterator such that it cannot be modified.

  If the iterator is already unmodifiable it is returned directly.

  Parameters:
    `iterator` - the iterator to decorate
  Throws:
    `java.lang.IllegalArgumentException` - if the iterator is null

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.